Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0.0   

Description

Reference:

http://docs.splunk.com/Documentation/Splunk/latest/Admin/configureSplunktousePAMorRADIUSauthentication#Edit_pamauth_f

or_PAM_authentication

http://blogs.splunk.com/2011/03/15/storing-encrypted-credentials/

Associated revisions

Revision 4 - 03/08/2012 07:01 AM - Luke Murphey

Added the basic authentication script as well as unit tests. Closes #370.

Revision 2 - 03/08/2012 07:01 AM - Luke Murphey

Added the basic authentication script as well as unit tests. Closes #370.

Revision 18 - 03/16/2012 06:44 AM - Luke Murphey

Updated the authentication script such that it loads conf files even if they have a UTF-8 byte order mark (closes #370)

Revision 15 - 03/16/2012 06:44 AM - Luke Murphey

Updated the authentication script such that it loads conf files even if they have a UTF-8 byte order mark (closes #370)

History

#1 - 03/03/2012 05:21 AM - Luke Murphey

- Assignee set to Luke Murphey

#2 - 03/03/2012 06:59 AM - Luke Murphey

- Status changed from New to In Progress

#3 - 03/03/2012 08:44 AM - Luke Murphey

- Target version set to 1.0.0

#4 - 03/08/2012 07:03 AM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Applied in changeset r4.

#5 - 03/15/2012 06:12 PM - Luke Murphey

The current script does not read the conf files created by Splunk because Splunk includes some junk at the top of the file. This can be addressed

using the following options:

1. Utilize the Splunk conf parsing libraries

2. Write my own parsing library
3. Chop the the junk off and hand the resulting string to the config parser

4. Try a different parser (like http://code.google.com/p/configobj/)

It is possible that the characters I am seeing are the BOM character. Note that bom_aware_readline in (

$SPLUNK_HOME/lib/python2.7/site-packages/splunk/clilib/cli_common.py) may be filtering this:

def bom_aware_readline(fileobj):

    atstart = (fileobj.tell() == 0)

    line = "" 

    while True:

        l = fileobj.readline()

        if atstart:

            if len(l) > 2 and ord(l[0]) == 239 and ord(l[1]) == 187 and ord(l[2]) == 191:

                # UTF-8 BOM detected: skip it over

                l = l[3:]

            atstart = False

        # if line ends with \, append \n, then to the top of the loop to append the next line.

        if l.rstrip("\r\n").endswith("\\"):

          line += l.rstrip("\r\n")

          line += "\n" 

        else:

          line += l

          break

    return line

#6 - 03/15/2012 06:13 PM - Luke Murphey

- Status changed from Closed to In Progress

#7 - 03/15/2012 06:29 PM - Luke Murphey

The UTF-8 BOM mark is 0xEF,0xBB,0xBF.

#8 - 03/15/2012 11:55 PM - Luke Murphey

Confirmed that the characters I am seeing are the BOM mark. The unit tests indicate the following:

MissingSectionHeaderError: File contains no section headers.

file: test_load_bad_conf\default\radius.conf, line: 1

'\xef\xbb\xbf\n'

#9 - 03/16/2012 06:44 AM - Luke Murphey
- Status changed from In Progress to Closed

Applied in changeset r18.
